class Api::V1::RecordsController < ApplicationController
  before_action :set_record, only: %i[show update destroy]
  before_action :check_login

  def index
    render json: RecordSerializer.new(Task.find(params[:task_id]).records).serializable_hash.to_json
  end

  def show
    render json: RecordSerializer.new(@record).serializable_hash.to_json
  end
  

  private

  # Only allow a trusted parameter "white list" through.
  def record_params
    params.require(:record).permit(:duration, :user_id, :task_id, :is_handled, :handled_by_id)
  end

  def set_record
    @record = Task.find(params[:task_id]).records.find(params[:id])
  end
end
