require "test_helper"

class Api::V1::RecordsControllerTest < ActionDispatch::IntegrationTest
  setup do
    @record = records(:one)
    @activity = activities(:one)
    @task = tasks(:one)
  end

  # INDEX
  test "should access index" do
    get api_v1_activity_task_records_url(@activity, @task),
    headers: { Authorization: JsonWebToken.encode(user_id: @record.user_id) },
    as: :json
    assert_response :success
  end

  test "should not access index" do
    get api_v1_activity_task_records_url(@activity, @task),
    as: :json
    assert_response :forbidden
  end

  # SHOW
  test "should access show" do
    get api_v1_activity_task_record_url(@activity, @task, @record),
    headers: { Authorization: JsonWebToken.encode(user_id: @record.user_id) },
    as: :json
    assert_response :success

    json_response = JSON.parse(self.response.body)
    assert_equal @record.duration, json_response['data']['attributes']['duration']
    assert_equal @record.user_id, json_response['data']['attributes']['user_id']
    assert_equal @record.task_id, json_response['data']['attributes']['task_id']
    assert_equal @record.is_handled, json_response['data']['attributes']['is_handled']
  end

  test "should not access show" do
    get api_v1_activity_task_record_url(@activity, @task, @record),
    as: :json
    assert_response :forbidden
  end

end
