require "test_helper"

class RecordTest < ActiveSupport::TestCase
  setup do
    @user = users(:one)
    @task = tasks(:one)
    @record = records(:one)
  end

  test "record should have valid duration, user and task ids" do
    record = Record.new(duration: 100, user_id: @user.id, task_id: @task.id)
    assert record.valid?
  end

  test "record without a duration should not be valid" do
    record = Record.new(user_id: @user.id, task_id: @task.id)
    assert_not record.valid?
  end

  test "record without user and task ids should not be valid" do
    record = Record.new(duration: 100)
    assert_not record.valid?
  end
end
